#!/opt/sunpy3/bin/python3

import os
import sys


cword  = int(os.environ['COMP_CWORD'])
cwords = os.environ['COMP_WORDS'].split()
cline  = os.environ['COMP_LINE']
#curr   = os.environ['COMP_CURR']

if 'sunhpc' in cwords:
    cwords.remove('sunhpc')


commands = '/opt/sunhpc/lib/sunhpc/commands/'
modules  = commands + '/'.join(cwords)
if os.path.exists(modules):
    cmdpath = os.listdir(modules)
else:
    cmdpath = os.listdir(commands)

print (modules)
print ('-------------------------------')
print(' '.join(cmdpath))
#print("candaidate1 candbidate2")

#print ('\n-cword---%s---' % cword)
#print ('\n-cwords--%s---' % cwords)
#print ('\n-cline---%s---' % cline)
#print ('\n-curr----%s---' % sys.argv)
